pydo.databases.get_connection_pool()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.databases.get_connection_pool(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
pool_name="backend-pool",
)Description
To show information about an existing connection pool for a PostgreSQL database cluster, send a GET request to /v2/databases/{database_cluster_uuid}/pools/{pool_name}.
The response will be a JSON object with a pool key.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
pool_namestring requiredThe name used to identify the connection pool.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/pools/{pool_name} in the API reference for additional detail on responses, headers, parameters, and more.